Lavalite package that provides o_m_i_d management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `omid/o_m_i_d`.

    "omid/o_m_i_d": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Omid\OMID\Providers\OMIDServiceProvider::class,

And also add it to alias

    'OMID'  => Omid\OMID\Facades\OMID::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Omid\\OMIDTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Omid\OMID\Providers\OMIDServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Omid\OMID\Providers\OMIDServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Omid\OMID\Providers\OMIDServiceProvider" --tag="view"


## Usage


