<?php

namespace Omid\OMID\Repositories\Eloquent;

use Omid\OMID\Interfaces\AdvertisingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AdvertisingRepository extends BaseRepository implements AdvertisingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('omid.o_m_i_d.advertising.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('omid.o_m_i_d.advertising.model.model');
    }
}
