<?php

namespace Omid\OMID\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdvertisingListTransformer extends TransformerAbstract
{
    public function transform(\Omid\OMID\Models\Advertising $advertising)
    {
        return [
            'id'                => $advertising->getRouteKey(),
            'id'                => $advertising->id,
            'name'              => $advertising->name,
            'created_at'        => format_date($advertising->created_at),
            'updated_at'        => format_date($advertising->updated_at),
        ];
    }
}